## org.eclipse.emf.cdo.server
Class StoreThreadLocal

    java.lang.Object
      org.eclipse.emf.cdo.server.StoreThreadLocal

    public final class StoreThreadLocal

extends java.lang.Object

Since:
  2.0

Method Summary
`static IStoreAccessor` `getAccessor()`
`static IStoreAccessor.CommitContext` `getCommitContext()`
`static ISession` `getSession()` Returns the session associated with the current thread.
`static void` `release()`
`static void` `setAccessor(IStoreAccessor accessor)`
`static void` `setCommitContext(IStoreAccessor.CommitContext commitContext)`
`static void` `setSession(ISession session)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setSession

    public static void setSession(ISession session)

### getSession

    public static ISession getSession()

  Returns the session associated with the current thread.

  Returns:
    Never `null`.
  Throws:
    `java.lang.IllegalStateException` - if no session is associated with the current thread.

### setAccessor

    public static void setAccessor(IStoreAccessor accessor)

### getAccessor

    public static IStoreAccessor getAccessor()

### setCommitContext

    public static void setCommitContext(IStoreAccessor.CommitContext commitContext)

### getCommitContext

    public static IStoreAccessor.CommitContext getCommitContext()

### release

    public static void release()

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.